Subject: Re: NSEC version field (Re: NSEC2- and an Authenticated Denial Mechanism Flag)

From: [email-masked]
Date: Fri, 28 May 2004 16:49:49 +0200 (CEST)

On Fri, 28 May 2004, Paul Vixie wrote:

> roy asked "Ed, Paul" to comment on the following:
>
> > This 'downgrade attack' is FUD (technically its there, but its a
> > non-issue). How would we EVER use a new signing algorithm, currently not
> > in use, if the downgrade attack would be a problem ?
>
> by adding new ones without removing old ones, and signing with both
> during an extended overlap period.

Okay, if I sign dnss.ec with TRUDY algorithm only, would your resolver,
incapable of understanding TRUDY treat that zone as signed ? unsigned ?
Bad ?

If you'd follow spec, you should treat is as unsigned. WHOA there is your
downgrade attack.

> (did you think dnssec could be at its third unreleased version after a
> ten year period without solving something so simple?)
>
> > What exactly is the problem ?
>
> the people who proposed to use bis2 with NSEC2-like functionality will
> not also be using NSEC, they propose to do an upgrade without an overlap
> period.  if they instead follow a timeline where the new NSEC2-like
> functionality is introduced, and existing NSEC users do the "use both"
> trick for an extended period while the validator population churns over,
> and when these existing users stop using pre-NSEC2 data because it's not
> needed, then and only then can new users (of NSEC2-only) deploy, then
> all will be well.

Then we better well spec your upgrade path. Its not the alternative
signing algorithm hack, right ?

Roy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>